youtube-dl gui

Questions about applications and software
Forum rules
Before you post please read how to get help

LMDE 2 support ends on 1-1-2019
Post Reply
rsqm
Level 1
Level 1
Posts: 2
Joined: Mon Jun 18, 2018 4:01 pm

youtube-dl gui

Post by rsqm » Mon Jun 18, 2018 4:05 pm

I have youtube-dl gui installed in windows and have it on my Mint ubuntu machines, but have not been able to get it installed on LMde. Has anyone successfully attempted this ? or who knows, maybe no one likes those apps.

User avatar
Flemur
Level 16
Level 16
Posts: 6057
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: youtube-dl gui

Post by Flemur » Mon Jun 18, 2018 4:29 pm

rsqm wrote:
Mon Jun 18, 2018 4:05 pm
I have youtube-dl gui installed in windows and have it on my Mint ubuntu machines, but have not been able to get it installed on LMde. Has anyone successfully attempted this ? or who knows, maybe no one likes those apps.
Try here (I guess "youtube-dl-gui" and "youtube-dlG" are the same thing):
https://github.com/MrS0m30n3/youtube-dl-gui
Install From Source
Download & extract the source
Change directory into youtube-dl-gui-0.4
Run python setup.py install
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 18.3 Xfce/fluxbox/pulse-less
Xubuntu 17.10/fluxbox/pulse-less

User avatar
all41
Level 13
Level 13
Posts: 4637
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: youtube-dl gui

Post by all41 » Mon Jun 18, 2018 4:35 pm

fwiw
youtube-dl released a new version today 6/18
Proud to be a supporter and monthly contributor to Mint.

User avatar
Flemur
Level 16
Level 16
Posts: 6057
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: youtube-dl gui

Post by Flemur » Mon Jun 18, 2018 10:04 pm

youtube-dl-gui/youtube-dlG wouldn't install for me.

File:
-rw-rw-r-- 1 <user><user> 212002 Jun 18 19:57 youtube-dl-gui-master.zip

Code: Select all

$ python setup.py install
No module named twodict
$ W yout
grub-mklayout
youtube-dl
$
It doesn't say whether or not it installed, but "W yout" = find executables in $PATH with "yout" in the name, case insensitive, so probably not installed.

Apparently it needs "python2-twodict" package, which is not in the repos.
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 18.3 Xfce/fluxbox/pulse-less
Xubuntu 17.10/fluxbox/pulse-less

User avatar
all41
Level 13
Level 13
Posts: 4637
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: youtube-dl gui

Post by all41 » Mon Jun 18, 2018 10:16 pm

I have never considered looking at a gui for youtube-dl.
The command line for this is not complicated at all.
Proud to be a supporter and monthly contributor to Mint.

Post Reply

Return to “Software & Applications”